Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodedocumentfragmentnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodedocumentfragmentnodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeValue()" method for a DocumentFragment Node is null.

Retrieve the DOM document and invoke the "createDocumentFragment()" method and check the string returned by the "getNodeValue()" method. It should be equal to null.

Author:
  NIST , Mary Brady , Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-B63ED1A3 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096

Definition at line 48 of file nodedocumentfragmentnodevalue.java.

## Constructor & Destructor Documentation

nodedocumentfragmentnodevalue::nodedocumentfragmentnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file nodedocumentfragmentnodevalue.java.
    00051  {
    00052       super(factory);
    00053
    00054    }

## Member Function Documentation

String nodedocumentfragmentnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file nodedocumentfragmentnodevalue.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodedocumentfragmentnodevalue";
    00071    }

void nodedocumentfragmentnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file nodedocumentfragmentnodevalue.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(nodedocumentfragmentnodevalue.class,args);
    00074    }

void nodedocumentfragmentnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 56 of file nodedocumentfragmentnodevalue.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00056                                                     {
    00057       Document doc;
    00058       DocumentFragment docFragment;
    00059       NamedNodeMap attrList;
    00060       String value;
    00061       doc = load("staff");
    00062       docFragment = doc.createDocumentFragment();
    00063       attrList = docFragment.getAttributes();
    00064       assertNull("attributesNull",attrList);
    00065       value = docFragment.getNodeValue();
    00066       assertNull("initiallyNull",value);
    00067
    00068    }

The documentation for this class was generated from the following file:

- nodedocumentfragmentnodevalue.java